﻿@model List<WebApp.ViewModels.Admin.TicketAdminViewModel>
@{
    ViewBag.Title = "Tickets";
}

<div class="panel panel-default">
    <div class="panel-heading"><h2>Tickets</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateTicket", "Admin")
    </div>
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No tickets found.</div>
    }
    else
    {
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Trip id</th>
            <th>Carriage id</th>
            <th>Seat id</th>
            <th>Cost</th>
            <th>User id</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.TripId)</td>
                    <td>@Html.DisplayFor(t => model.CarriageId)</td>
                    <td>@Html.DisplayFor(t => model.SeatId)</td>
                    <td>@Html.DisplayFor(t => model.Cost)</td>
                    <td>@Html.DisplayFor(t => model.ApplicationUserId)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditTicket", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteTicket", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>

